
<!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en-US" lang="en-US" prefix="og: http://ogp.me/ns#">
  <head>
    <%= render '/head.*' %>
    <%= render '/canonical_urls.*' %>
  </head>
  <body itemscope itemtype="http://schema.org/WebPage" data-spy="scroll" data-target="#doc-nav" data-offset="90">
    <%= render '/gtm.*' %>
    <%= render '/header.*' %>
    <section class="gl-docs container-fluid gl-mt-9">
      <div class="row">
        <div class="col-0 col-xl-2 pl-0">
          <div class="nav-wrapper active">
            <aside id="global-nav" class="global-nav">
            <!-- Render the global nav only if CI_PROJECT_NAME is gitlab-docs or is not set -->
            <% if gitlab_docs_or_local? %>
              <%= render '/global_nav.*' %>
            <% end %>
            </aside>
            <div id="js-nav-toggle"></div>
          </div>
        </div>
        <div class="main pl-xl-4 wrapper js-main-wrapper col-12 col-xl-7">
          <div class="row">
            <div class="col">
              <div id="js-version-banner" <%= 'data-is-outdated' if show_version_banner? %> data-latest-version-url='<%= @item.identifier.without_ext + '.html' %>' data-archives-url="/archives/"></div>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <%= render '/banner.*' %>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <div class="my-3 my-xl-0">
                <a class="gl-absolute text-muted gl-mt-4 gl-pt-4 gl-text-decoration-none gl-border-bottom-0! mobile-nav-toggle" href="#"><%= icon('hamburger', 18, 'gl-ml-0!') %></a>
              </div>
            </div>
          </div>
          <div class="row d-xl-none">
            <div class="col">
              <div class="doc-nav"></div>
            </div>
          </div>
          <main>
            <div class="row">
              <div class="col">
                <div class="article-content js-article-content" role="main" itemscope itemprop="mainContentOfPage">
                  <%= yield %>
                </div>
              </div>
            </div>
          </main>
          <div class="row">
            <div class="col">
              <%= render '/feedback.*' %>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <%= render '/footer.*' %>
            </div>
          </div>
        </div>
        <div class="col-3 py-3 d-none d-xl-flex">
          <div id="doc-nav" class="doc-nav w-100"></div>
        </div>
      </div>
    </section>
    <script src="<%= @items['/frontend/shared/global_imports.*'].path %>"></script>
    <% if @config[:search_backend] == "algolia" %>
    <script src="<%= @items['/frontend/search/docsearch.*'].path %>"></script>
    <% elsif @config[:search_backend] == "google" %>
    <script src="<%= @items['/frontend/search/google.*'].path %>"></script>
    <% else %>
    <script src="<%= @items['/frontend/search/lunrsearch.*'].path %>"></script>
    <% end %>
    <script src="<%= @items['/assets/javascripts/toggle_popover.*'].path %>"></script>
    <script src="<%= @items['/frontend/shared/clipboardjs.*'].path %>"></script>
    <script src="<%= @items['/assets/javascripts/badges.*'].path %>"></script>

    <% if @item.compiled_content.include? "load-mermaid" %>
      <script src="<%= @items['/frontend/default/mermaid.*'].path %>"></script>
    <% end %>

    <% if production? %>
    <%# Add analytics only in production %>
      <%= render '/analytics.*' %>
    <% end %>
    <% if @item.identifier.to_s == '/ee/update/deprecations.md' %>
      <script src="<%= @items['/frontend/deprecations/deprecations.*'].path %>"></script>
    <% end %>
    <script src="<%= @items['/frontend/header/index.*'].path %>"></script>
    <script src="<%= @items['/assets/javascripts/docs.*'].path %>"></script>
    <script src="<%= @items['/assets/javascripts/global-nav.*'].path %>"></script>
    <script src="<%= @items['/assets/javascripts/tables.*'].path %>"></script>
    <script src="<%= @items['/frontend/default/default.*'].path %>"></script>
  </body>
</html>
